<?php
/*
- Автор скрипт: Ak47res1
- ICQ: 646099815
*/
include_once 'sys/fnc.php';

if (isset($user)) header('Location: /');

$title = 'Восстановление пароля';
include 'sys/head.php';
echo '<div class="title">Восстановление пароля</div>';

if (isset($_POST['ok']))
{
$login = html($_POST['login']);
if(empty($login))
{
echo '<div class="err"><b>Вы не ввели логин!</b></div>';
include 'sys/foot.php';
exit();
}
if(strlen($login) > 15 or strlen($login) < 3)
{
echo '<div class="err"><b>Введите логин от 3 до 15 символов!</b></div>';
include 'sys/foot.php';
exit();
}
if (!preg_match('|^[a-z0-9\-]+$|i', $login))
{
echo '<div class="err"><b>Кириллица запрещена в логине!</b></div>';
include 'system/foot.php';
exit();
}

$email = html($_POST['email']);
if(empty($email))
{
echo '<div class="err"><b>Вы не ввели свой e-mail!</b></div>';
include 'sys/foot.php';
exit();
}
if (!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i', $email)) {
echo '<div class="err"><b>Формат e-mail введён не верно!</b></div>';
include 'sys/foot.php';
exit();
}
$BD_email = mysql_fetch_assoc(mysql_query("SELECT `login`,`email` FROM `user` WHERE `login` = '".$login."' AND `email` = '".$email."' LIMIT 1"));
if(!empty($login) && !empty($email)) if($BD_email == 0){
echo '<div class="err"><b>Введенные данные не верны! </b></div>';
include 'sys/foot.php';
exit();
}
$pass_new = rand(1000000000,5000000000);
mysql_query("UPDATE `user` SET `pass` = '".in_md5($pass_new)."' WHERE `login` = '".$login."'");
echo '<div class="err"><b>На Ваш e-mail '.$email.' Мы отправили письмо с вашими регистрациоными данными!</b></div>';

/* Отправка сообщения */
$titles = 'От '.$_SERVER['HTTP_HOST'];
$body .= "Content-Type: text/plain; charset=\"utf-8\"$EOL";
$msg = 'Здравствуйте '.$login.'!
Вами (или нет) была произведена операция по восстановлению пароля на сайте '.$_SERVER['HTTP_HOST'].'
Ваши данные для входа в аккаунт:
=========================
Логин: '.$login.'
Пароль: '.$pass_new.'
=========================
Пароль згенирировался автоматически,просим Вас после авторизации сменить его!';
mail($email, 'Восстановление пароля на '. $_SERVER['HTTP_HOST'], $msg, $body);
session_destroy();
include 'sys/foot.php';
exit();
}else{
echo '<div class="post">
<form method="post">
Ваш логин:<br /><input type="text" name="login" maxlength="15" /><br />
Ваш e-mail:<br /><input type="text" name="email" maxlength="45" /><br />
<input type="submit" name="ok" value="Восстановить" />
</form></div>';
}		

include_once 'sys/foot.php';
?>